Drop use of pulp_client certificates
Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-kat

ello/pull/450,

https://github.com/theforeman/puppet-ce

rts/pull/399,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/420

  

Description

Related issues:

Related to Katello - Feature #35004: Drop use of pulp_client certificates Closed

Associated revisions

Revision 98463ffd - 06/03/2022 01:35 AM - Eric Helms

Fixes #35005: Drop setting Pulp client certificate settings

These settings were introduced with Pulp 2 and carried over to Pulp

3 before we introduced client authentication support in smart_proxy_pulp.

The support for using Foreman client certificates to talk to Pulp 3 was

introduced in Foreman 3.0. This is now safe to drop.

Revision 6ff5323e - 06/08/2022 06:48 PM - Eric Helms

Refs #35005: Drop certs::pulp_client

These certificates were used to communicate with a Pulp 2 instance

and subsequently Pulp 3 without client authentication support. Client

authentication support was added in Foreman 3.0 and now Foreman

client ceritificates are used to communicate with Pulp 3. These

certificates are no longer needed or used.

Revision 5cd80262 - 06/16/2022 11:53 AM - Evgeni Golov

Refs #35005 - use foreman client certs for pulp-cli auth

`puppet-certs` dropped the `pulp_client` certs, so let's use use the

`foreman` ones instead

History

#1 - 06/02/2022 12:45 AM - Eric Helms

- Related to Feature #35004: Drop use of pulp_client certificates added

#2 - 06/02/2022 12:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-certs/pull/399 added
#3 - 06/02/2022 12:48 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/450 added

#4 - 06/03/2022 01:35 AM - The Foreman Bot

- Fixed in Releases 3.4.0 added

#5 - 06/03/2022 02:00 AM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-katello|98463ffd1057dc3e9745ec625c156f88899366e1.

#6 - 06/14/2022 05:52 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/420 added
